import { SvgIcon } from "@mui/material";
import { styled } from "@mui/material/styles";

const PREFIX = "Icon";

const classes = {
    root: `${PREFIX}-root`,
};

const StyledSvgIcon = styled(SvgIcon)(() => ({
    [`&.${classes.root}`]: {
        display: "flex",
        justifyContent: "space-between",
        flexDirection: "row",
        margin: "12px 0px",
    },
}));

const GhostStyledIcon = ({ component, ...props }) => {
    return <StyledSvgIcon component={component} {...props}></StyledSvgIcon>;
};

export default GhostStyledIcon;
